<%- include('../partials/header'); %>
<%- include('../partials/navbar'); %>
<%- include('../partials/scripts'); %>
<script>
    function createUsersFromJSON(params) {
        var json = JSON.parse($("textarea#json").val());
        for (let i = 0; i < json.length; i++) {
            // send data to the server
            $.post({
                url: '/admin/users-api/new/object/',
                data: {
                    user: json[i],
                },
                success: function (response) {
                    console.log(response);
                    if (response === 'ok') {
                        console.log('Successfully created user!');
                        // window.location.href = '/admin/users/list?id=<%= req.query.id %>';
                    }
                },
            }).fail(function () {
                alert('Server communication error!');
            });
        }
    }
</script>

<!-- Content Wrapper -->
<div id="content-wrapper" class="d-flex flex-column">
    <div id="content">
        <%- include('../partials/topbar') %>
        <!-- Begin Page Content -->
        <div class="container-fluid">

            <!-- Page Heading -->
            <div class="d-sm-flex align-items-center justify-content-between mb-4">
                <h1 class="h3 mb-0 text-gray-800"><%= title %></h1>
            </div>
            <!-- Content Row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="card shadow mb-4">
                        <!-- Card Header - Dropdown -->
                        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                            <h6 class="m-0 font-weight-bold text-primary">Import users from JSON</h6>
                            <div class="dropdown no-arrow">
                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink"
                                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                                </a>
                                <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in"
                                    aria-labelledby="dropdownMenuLink">
                                    <div class="dropdown-header">Dropdown Header:</div>
                                    <a class="dropdown-item" href="#">Action</a>
                                    <a class="dropdown-item" href="#">Another action</a>
                                    <div class="dropdown-divider"></div>
                                    <a class="dropdown-item" href="#">Something else here</a>
                                </div>
                            </div>
                        </div>
                        <!-- Card Body -->
                        <div class="card-body">
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="input-group">
                                        <textarea class="form-control" id="json" cols="30" rows="5" placeholder='Insert JSON here. Example:
[{
"username": String,
"password": String
}]'></textarea>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-12">
                                    <br>
                                    <button class="btn btn-primary" type="button" onclick="createUsersFromJSON();">
                                        Submit
                                        <i class="fas fa-arrow-circle-right"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.container-fluid -->
        </div>
    </div>
    <% include('../partials/footer'); %>
    </body>

    </html>